Subject: RE: Adaptation modules

From: "Monling Liao" <[email-masked]>
Date: Fri, 18 Jun 1999 11:28:43 -0400

The exchange of TCAP messages between SS7/IN/wireless and IP domains for
services interworking requires proper SCCP-like addressing and routing
functions in SG and IP entities. 

The following two drafts describe addressing/routing functions, protocols
and services interworking scenarios.

 http://www.ietf.org/internet-drafts/draft-liao-ss7-tcap-ip-00.txt
 http://www.ietf.org/internet-drafts/draft-liao-stipp-00.txt

Regards,
Monling

Monling Liao
Carrier Packet Solutions
919-991-2704  (ESN 351-2704)
[email-masked]

> -----Original Message-----
> From:	Schwarzbauer Hanns Juergen
> [SMTP:[email-masked]]
> Sent:	Friday, June 18, 1999 8:17 AM
> To:	[email-masked]
> Subject:	AW: Adaptation modules & IETF agenda
> 
> John,
> 
> I'm a bit uncertain about what you mean when talking about "SCCP
> services".
> 
> However, if you intend to transport SCCP messages over an IP network, you
> can it do the same way as ISUP messages are to be transported. 
> Please keep in mind that both SCCP and ISUP are user parts on top of MTP
> L3
> and therefore the interface requirements for both protocols (towards the
> lower layer) are identical. 
> 
> As long as no global title translation is required  I would expect no need
> for a special adaptation module to support SCCP over MDTP. However, if you
> want to perform a global title translation, you have to include the
> relevant
> SCCP functions in another "adaptation module" and doing this I would
> prefer
> to state that you are transporting TCAP/TC-Application over the IP network
> using an appropriate adaptation module.
> 
> There have been a number of drafts for the Minneapolis meeting in march
> (e.g. Ericsson, Siemens-Atea).
> 
> 
> 
> HannsJuergen Schwarzbauer
> > SIEMENS AG                                            	
> Information and Communication Networks	
> Wireline Network Communication          	
> Carrier Switching Networks              	
> ICN WN CS SE 51
> 
> Tel:    +49 89 722 24236
> Fax:    +49 89 722 48212
> E-mail [email-masked]
> 
> > -----Ursprüngliche Nachricht-----
> > Von:  John Loughney [SMTP:[email-masked]]
> > Gesendet am:  Freitag, 18. Juni 1999 12:38
> > An:   [email-masked]
> > Betreff:      Adaptation modules & IETF agenda
> > 
> > Greetings,
> > 
> > I have been following the mail list for some time, but have yet had a
> > chance
> > to comment towards anything.  I essentially only have a few questions.
> > 
> > I have seen that the following adaptation modules are being consided at
> > the
> > moment:
> > 
> >         Signaling Backhaul document
> >         SS7 Gateway module
> >         SG-MGC for cable
> > 
> > We are currently studying what would be needed to carry SCCP services
> over
> > MDTP.  Has there been any work done on this already?  If not, we would
> be
> > interested in collaborating with interested parties on a possible draft
> > document.
> > 
> > Secondly, as the agenda for the Oslo IETF meeting been announced for
> > SIGTRAN?  I know that we are in the middle of quite a large discussion
> of
> > MDTP.
> > 
> > best regards,
> > John Loughney
> > Nokia Research Center

---------
This message came from the IETF IPTEL Working Group Mailing List.